body {
    background-color: #404040;
}

.button-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    margin-top: 50px;
}

.rounded-button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 200px;
    height: 200px;
    border: 2px solid white;
    border-radius: 15px;
    background-color: rgba(255, 255, 255, 0.8);
    background-size: cover;
    position: relative;
    overflow: hidden;
    text-decoration: none;
    transition: background-color 0.3s;
    margin: 10px;
}

.rounded-button:hover {
    background-color: rgba(255, 255, 255, 0.9);
}

.button-text {
    color: white;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    opacity: 0.8;
    z-index: 1;
}

@media (max-width: 768px) and (orientation: landscape) {
    .rounded-button {
        width: calc(33.33% - 20px);
        height: 200px;
    }
}

@media (max-width: 768px) and (orientation: portrait) {
    .button-container {
        flex-direction: column;
        align-items: center;
    }

    .rounded-button {
        width: calc(50% - 20px);
        height: 200px;
    }
}
